import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
export class CardTypeService {
    constructor() {
        this._cardType$ = new BehaviorSubject(undefined);
    }
    /**
     * Getter for card type observable
     */
    get cardType() {
        return this._cardType$.asObservable();
    }
    /**
     * Getter for card number input ref
     */
    get cardNumberRef() {
        return this._cardNumberRef;
    }
    /**
     * Getter for card expiry date input ref
     */
    get cardExpiryRef() {
        return this._cardExpiryRef;
    }
    /**
     * Getter for card CVC input ref
     */
    get cardCVVRef() {
        return this._cardCVVRef;
    }
    /**
     * Update card type object with card type from card input field.
     * @param type - card type object
     */
    setCardType(type) {
        this._cardType$.next(type);
    }
    /**
     * update value of element ref for the Card Number
     * @param el - ElementRef of the Card Number
     * @template E - Type of HTML Element
     */
    setCardNumberRef(el) {
        this._cardNumberRef = el;
    }
    /**
     * update value of element ref for the Date Expire Input
     * @param el - ElementRef of the Card Expire
     * @template E - Type of HTML Element
     */
    setCardExpireRef(el) {
        this._cardExpiryRef = el;
    }
    /**
     * update value of element ref for the CVV Input
     * @param el - ElementRef of the Card CVV
     * @template E - Type of HTML Element
     */
    setCardCVVRef(el) {
        this._cardCVVRef = el;
    }
}
CardTypeService.decorators = [
    { type: Injectable }
];
CardTypeService.ctorParameters = () => [];
//# sourceMappingURL=card-type.service.js.map