import { ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
import { CardTypesModel } from '../models/card-types.model';
export declare class CardTypeService {
    private _cardType$;
    private _cardNumberRef;
    private _cardExpiryRef;
    private _cardCVVRef;
    constructor();
    /**
     * Getter for card type observable
     */
    get cardType(): Observable<CardTypesModel>;
    /**
     * Getter for card number input ref
     */
    get cardNumberRef(): ElementRef;
    /**
     * Getter for card expiry date input ref
     */
    get cardExpiryRef(): ElementRef;
    /**
     * Getter for card CVC input ref
     */
    get cardCVVRef(): ElementRef;
    /**
     * Update card type object with card type from card input field.
     * @param type - card type object
     */
    setCardType(type: CardTypesModel): void;
    /**
     * update value of element ref for the Card Number
     * @param el - ElementRef of the Card Number
     * @template E - Type of HTML Element
     */
    setCardNumberRef<E = HTMLInputElement>(el: ElementRef<E>): void;
    /**
     * update value of element ref for the Date Expire Input
     * @param el - ElementRef of the Card Expire
     * @template E - Type of HTML Element
     */
    setCardExpireRef<E = HTMLInputElement>(el: ElementRef<E>): void;
    /**
     * update value of element ref for the CVV Input
     * @param el - ElementRef of the Card CVV
     * @template E - Type of HTML Element
     */
    setCardCVVRef<E = HTMLInputElement>(el: ElementRef<E>): void;
}
