import { CardTypesModel } from '../models/card-types.model';
export declare const DEFAULT_CVC_LENGTH = 3;
export declare const DEFAULT_ZIP_LENGTH = 5;
export declare const DEFAULT_CARD_FORMAT: RegExp;
/**
 * Card Types per BIN
 * @internal
 */
export declare const CARD_TYPES: CardTypesModel[];
/**
 * Get card type by card value
 * @param value - card number value
 * @returns object with all properties from card type
 */
export declare const getCardTypeByValue: (value: string) => CardTypesModel;
/**
 * Get card type by type (ie.: visa, elo, hipercard)
 * @param value - card type (ie.: visa, elo, hipercard, amex)
 * @returns object with all properties from card type
 */
export declare const getCardTypeByType: (type: any) => CardTypesModel;
