import * as cardTypes from './card-types';
import * as formatters from './formatters';
import * as validators from './validators';
export declare const BACKSPACE_KEY_CODE = "backspace";
export declare const BACKSPACE_KEY_NUMBER = 8;
export declare const ENTER_KEY_CODE = "enter";
export declare const ENTER_KEY_NUMBER = 13;
/**
 * Timeout seconds to update element value
 * @internal
 */
export declare const TIMEOUT_SECONDS = 0;
/**
 * check if a value is valid
 * @param value - value to check if has value
 */
declare function isValue(value: number | string | null | undefined): value is number | string;
declare const _default: {
    cardTypes: typeof cardTypes;
    formatters: typeof formatters;
    validators: typeof validators;
    isValue: typeof isValue;
    BACKSPACE_KEY_CODE: string;
    BACKSPACE_KEY_NUMBER: number;
    ENTER_KEY_CODE: string;
    ENTER_KEY_NUMBER: number;
};
export default _default;
